@import "libs/shared/assets/src/global-style/variable";
@import "libs/shared/assets/src/global-style/color";
:host {
  width: 100%;
}

.main-init-project {
  display: flex;
  justify-content: space-between;
  padding: 10px 0px;
  &__left {
    display: flex;
    align-items: center;
    &__pointer {
      cursor: pointer;
    }
    &__title {
      margin-left: 12px;
      margin-bottom: 0px;
    }
  }
  &__right {
    display: flex;
    &__button-primary {
      border-radius: 4px;
      display: flex;
      align-items: center;
      padding: 10px 16px 10px 16px;
      background: $primary-button-color;
      margin-left: 16px;
    }
    &__button-primary:disabled,
    &__button-primary[disabled] {
      color: white;
      background: blue;
    }
  }
}

.main-init-project-card {
  margin: 12px 0;
  border-radius: 16px;
  &__left {
    padding-left: 15px;
    ::ng-deep {
      .ant-input {
        border-radius: 4px !important;
        min-height: 43px;
      }
      .ant-picker {
        width: 100%;
        border-radius: 4px !important;
        min-height: 43px;
      }
      .ant-select-selector {
        border-radius: 4px !important;
        min-height: 43px;
        display: flex;
        align-items: center;
      }
    }
    &__label {
      font-size: 14px;
      color: #6e7191;
      line-height: 26px;
    }
  }
  &__center {
    padding-left: 15px;
    ::ng-deep {
      .ant-input {
        border-radius: 4px !important;
        min-height: 43px;
      }
      .ant-picker {
        width: 100%;
        border-radius: 4px !important;
        min-height: 43px;
      }
    }
    &__label {
      font-size: 14px;
      color: #6e7191;
      line-height: 26px;
    }
  }

  &__right {
    padding-left: 15px;
    ::ng-deep {
      .ant-input {
        border-radius: 4px !important;
        min-height: 43px;
      }
      .ant-picker {
        width: 100%;
        border-radius: 4px !important;
        min-height: 43px;
      }
      .ant-select-selector {
        border-radius: 4px !important;
        min-height: 43px;
        display: flex;
        align-items: center;
      }
    }
    &__label {
      font-size: 14px;
      color: #6e7191;
      line-height: 26px;
    }
  }
}

::ng-deep {
  .ant-select {
    border-radius: 4px !important;
    min-height: 43px;
    display: flex;
    align-items: center;
    line-height: 2.5;
  }
  .ant-table-thead > tr > th {
    background: #e8eaf6;
    font-weight: bold;
    font-size: 14px;
    line-height: 120%;
  }
  .ant-pagination-item-link {
    border-radius: 8px;
    display: flex !important;
    align-items: center;
    justify-content: center;
  }
  .ant-pagination-item-link-icon {
    margin-right: 14px;
  }

  .ant-pagination-item {
    border-radius: 8px;
  }
  .ant-pagination-item-active {
    border-color: $primary-button-color;
    border-radius: 8px;
    a {
      color: $primary-button-color;
    }
  }
  td.nz-disable-td.ant-table-cell {
    display: none;
  }

  .ant-form-item-required {
    font-weight: bold;
    align-items: flex-start !important;
    &::before {
      order: 1;
    }
  }
  .ant-input {
    border-radius: 4px !important;
    min-height: 43px;
  }
  .ant-select-selector {
    width: 100%;
    border-radius: 4px !important;
    min-height: 43px;
    display: flex;
    align-items: center;
  }
  .ant-form-item-label > label {
    height: fit-content !important;
    color: #6e7191;
    margin-bottom: 5px;
  }
}

.row-finan-init-project {
  margin: 16px 0px 0px 16px;
}

.font-icon-file {
  font-size: 30px;
}

.color-error-file {
  color: $bg-error-red;
  font-size: 12px;
  font-family: avertaL, sans-serif;
}

.custom-row {
  align-items: center;
}
.custom-label {
  font-weight: bold;
}
.main-init-project-card-border-right {
  border-right: 1px solid #d9dbe9;
  padding-right: 36px;
}

.text-bold {
  font-weight: bold;
}

.custom-padding-row {
  padding: 16px 0px 0px 16px;
}

.custom-padding-for-job {
  padding-left: 36px;
}

.flex-for-quality {
  display: flex;
  justify-content: space-between;
  align-items: flex-end;
}

.margin-for-quality {
  margin-left: 24px;
  width: 100%;
}

.style-button-minus {
  min-height: 43px;
  min-width: 40px;
  margin-left: 24px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.select-attribute {
  padding-left: 24px;
}
.btn-add {
  display: flex;
  align-items: center;
}

.form-row__right {
  mat-chip {
    background: rgba(233, 234, 255, 1) !important;
    min-width: 97px;
    border-radius: 10px;
    padding: 4px 4px 4px 8px;
    border: 1px solid #7f85f3;
    margin: 0px 16px;
    align-items: center;
    justify-content: space-between;
  }

  &--mat-chip-file {
    border-radius: 8px;
    min-height: 32px;
    display: flex;
  }

  &--fileName {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    color: #00009a;
    font-size: 12px;
    line-height: 16px;
    margin: 0px 8px;
  }

  &--button {
    display: flex;
    align-items: center;
    border: none;
    color: #00009a;
  }

  .ant-form-item {
    margin: 0;
  }
}

.required {
  color: $bg-error-red;
  text-align: center;
  padding-left: 5px;
  margin-bottom: 0px !important;
}

.pdf-view {
  display: block;
  border: 1px solid $bg-modal-header-border;
  height: 70vh;
}

.ant-row {
  margin-bottom: 5px;
}
